Bug 444843 - LiveCD install fails due to mdadm location
LiveCD install fails due to mdadm location
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-30 21:18 EDT by Warren Togami
Modified: 2008-05-07 17:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 17:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda traceback (28.16 KB, text/plain)
2008-04-30 21:20 EDT, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2008-04-30 21:18:18 EDT
LiveCD from April 30th 2008
anaconda-11.4.0.78-1

* Thu Apr 24 2008 Chris Lumens <clumens@redhat.com> - 11.4.0.76-1
- Use the execWithCapture wrapper to be consistent. (jgranado)
- Call the mdadm with full path. (jgranado)

    def mdadmConf(self):
        """Make the mdadm.conf file with mdadm command.

        This creates a conf file with active arrays.  In other words
        the arrays that we don't want included must be inactive.
        """
        activeArrays = iutil.execWithCapture("/usr/sbin/mdadm", ["--detail",
"--scan"])

mdadm doesn't exist at this location in LiveCD.  mdadm exists at /sbin/mdadm in
the LiveCD filesystem.  This causes certain (or all?) LiveCD installs to break.

anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 103, in execWithCapture
    raise RuntimeError, "Error running " + command + ": " + msg
  File "/usr/lib/anaconda/fsset.py", line 1446, in mdadmConf
    activeArrays = iutil.execWithCapture("/usr/sbin/mdadm", ["--detail", "--scan"])
  File "/usr/lib/anaconda/fsset.py", line 1473, in write
    cf = self.mdadmConf()
  File "/usr/lib/anaconda/livecd.py", line 326, in doPostInstall
    anaconda.id.fsset.write(anaconda.rootPath)
  File "/usr/lib/anaconda/backend.py", line 212, in doPostInstall
    anaconda.backend.doPostInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1278, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 80, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1299, in handleRenderCallback
    self.currentWindow.renderCallback()
RuntimeError: Error running /usr/sbin/mdadm: No such file or directory
Comment 1 Warren Togami 2008-04-30 21:20:30 EDT
Created attachment 304292 [details]
anaconda traceback
Comment 2 Jeremy Katz 2008-04-30 21:30:23 EDT
Fixed in git.
Comment 3 Bill Nottingham 2008-05-07 17:09:01 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.